<script>
import Layout from '../../layouts/main.vue'
import PageHeader from '../../components/page-header.vue'
import config from '../../config'
import { required, sameAs,  } from 'vuelidate/lib/validators'
import { ProfileService } from '../../services'
import { error_message, success_message } from '../../Helper/helper'

export default {
    components: {  },
    data() {
        return{
            config: config,
            error: "",
            client_password_detaile: {
                old_password:'',
                password:'',
                confirm_password:''
            }
        }
    },
    mounted(){
    },

    validations: {
        client_password_detaile: {
            old_password:{
                required
            },
            password:{
                required
            },
            confirm_password:{
                required,
                sameAsPassword: sameAs('password')
            }
        }
    },
    methods:{
        clientPasswordUpdat(){
            this.$v.client_password_detaile.$touch();
            if (this.$v.client_password_detaile.$invalid) {
                return false;
            }else{ 
                ProfileService.updateClientPassword(this.client_password_detaile).then((response) => {
                    if(response.data.code == 200){
                        success_message(response.data.message)
                        // this.client_password_detaile.old_password = ''
                        // this.client_password_detaile.password = ''
                        // this.client_password_detaile.confirm_password = ''
                    }else{
                        error_message(response.data.message)
                    }
                })
            }
        }
    }
}
</script>

<template>
    <div>
        <b-form class="p-2 mt-4" @submit.prevent="clientPasswordUpdat">
            <div class="alert alert-danger" v-show="this.error">{{ this.error }}</div>
            <div class="row">
                <div class="col-md-4">
                    <b-form-group
                    id="input-group-2"
                    label-for="password"
                    >
                    <b-form-input
                        id="password"
                        v-model="$v.client_password_detaile.old_password.$model"
                        name="password"
                        type="password"
                        :placeholder="this.trans.get('__JSON__.Old Password')"
                        :class="{ 'is-invalid':  $v.client_password_detaile.old_password.$error  }"
                    ></b-form-input>
                    <div v-if="$v.client_password_detaile.old_password.$error" class="invalid-feedback">
                        <span
                        v-if="!$v.client_password_detaile.old_password.required"
                        >{{ trans.get('__JSON__.Please enter old password')}}</span>
                    </div>
                    </b-form-group>
                </div>
                <div class="col-md-4">
                    <b-form-group
                    id="input-group-2"
                    label-for="input-2"
                    >
                    <b-form-input
                        id="input-2"
                        v-model="$v.client_password_detaile.password.$model"
                        name="password"
                        type="password"
                        :placeholder="this.trans.get('__JSON__.Password')"
                        :class="{ 'is-invalid':  $v.client_password_detaile.password.$error  }"
                    ></b-form-input>
                    <div v-if="$v.client_password_detaile.password.$error" class="invalid-feedback">
                        <span
                        v-if="!$v.client_password_detaile.password.required"
                        >{{ trans.get('__JSON__.Please enter password')}}</span>
                    </div>
                    </b-form-group>
                </div>
                <div class="col-md-4">
                    <b-form-group
                    id="input-group-5"
                    label-for="input-5"
                    >
                    <b-form-input
                        id="input-5"
                        v-model="$v.client_password_detaile.confirm_password.$model"
                        name="confirm_password"
                        type="password"
                        :placeholder="this.trans.get('__JSON__.Confirm Password')"
                        :class="{ 'is-invalid':  $v.client_password_detaile.confirm_password.$error  }"
                    ></b-form-input>
                    <div v-if="$v.client_password_detaile.confirm_password.$error" class="invalid-feedback">
                        <span v-if="!$v.client_password_detaile.confirm_password.required">
                            {{ trans.get('__JSON__.Please enter confirm password')}}
                        </span>
                        <span v-if="client_password_detaile.confirm_password && !$v.client_password_detaile.confirm_password.sameAsPassword">
                            {{ trans.get('__JSON__.Password and Confirm Password Should Match') }}
                        </span>
                    </div>
                    </b-form-group>
                </div>
            </div>
            <div >
                <button
                    class="btn btn-primary "
                    :disabled="$v.client_password_detaile.$invalid"
                    >{{ trans.get('__JSON__.Update') }}
                </button>
            </div>
        </b-form>
    </div>
</template>